dbXML API

## org.dbxml.xml.dom
Interface DBNode

All Superinterfaces:
  org.w3c.dom.Node

All Known Subinterfaces:
  DBDocument

All Known Implementing Classes:
  NodeImpl

public interface DBNode
extends org.w3c.dom.Node

DBNode represents a dbXML Collection-originating Node. DBNodes will provide Node sourcing and Transaction capabilities for Nodes that have been aggregated into external Documents.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`void` `expandSource()` expandSource expands the source into the Node as a namespace and a set of attributes.
`NodeSource` `getSource()` getSource returns a source for this Node.
`void` `setSource(NodeSource source)` setSource sets a source for this Node.

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getSource

    public NodeSource getSource()

  getSource returns a source for this Node.
  Returns:
    The Document source

### setSource

    public void setSource(NodeSource source)
                   throws org.w3c.dom.DOMException

  setSource sets a source for this Node.
  Parameters:
    `source` - The Document source
  Throws:
    `org.w3c.dom.DOMException` - if an exception occurs

### expandSource

    public void expandSource()

  expandSource expands the source into the Node as a namespace and a set of attributes. This method will only work on a Document or an Element, and should silently fail on all other Node types.

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved